Package Details: brother-ql820nwb 3.1.5r0-1

Git Clone URL: https://aur.archlinux.org/brother-ql820nwb.git (read-only)
Package Base: brother-ql820nwb
Description: LPR and CUPS driver for Brother QL-820NWB label printer
Upstream URL: http://solutions.brother.com/linux/en_us/
Keywords: brother cups cupswrapper driver filter label lpr ppd printer ql-700
Licenses: custom
Submitter: kbabioch
Maintainer: kbabioch
Last Packager: kbabioch
Votes: 2
Popularity: 0.000043
First Submitted: 2017-11-17 09:52
Last Updated: 2019-07-21 21:53

Latest Comments

kbabioch commented on 2019-07-21 21:57

I've modified the PKGBUILD (and bumped the release) based on some input I've got from this and other similar packages. I've verified that the package (brother-ql720nw) works for me, but I'm more than happy to get your feedback ;-).

freswa commented on 2018-06-10 14:12

The original files works well with debian. So it must have something todo with either arch or this package. btw: Ghostscript is a dependency. Have a look at filter_ql820nwb in the package.

kbabioch commented on 2018-06-10 12:57

@frederik: Thank you for your feedback. I've made the changes. Not sure how to fix the other issue, though. Is this printer working for you on other distributions? Because its not clear to me whether it is an issue with this package itself.

freswa commented on 2018-06-10 02:36

The same fix is needed as in the brother-ql720nw package to get cups to send data to the printer. This should be added to the end of the build section.

  # /usr/lib/cups/filter/brother_lpdwrapper_ql820nwb should be an absolute symlink
  rm $srcdir/usr/lib/cups/filter/brother_lpdwrapper_ql820nwb
  ln -s /opt/brother/PTouch/ql820nwb/cupswrapper/brother_lpdwrapper_ql820nwb  \
    $srcdir/usr/lib/cups/filter/brother_lpdwrapper_ql820nwb

Besides that there still seems something wrong with the filter, as the printer only shows an error message about incompatible media (is set correctly)